Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 36 - Incompatibility Python nad Tk
Summary: Incompatibility Python nad Tk
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-11 06:48 UTC by petr_kristof
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-11-13 17:52:22 UTC


Attachments (Terms of Use)

Description petr_kristof 1998-11-11 06:48:33 UTC
# Traceback (innermost last):
  File "./glint.py", line 22, in ?
    from Tkinter import *
  File "/usr/lib/python1.5/lib-tk/Tkinter.py", line 5, in ?
    import _tkinter # If this fails your Python is not
configured for Tk
ImportError: libtix4.1.8.0.so: cannot open shared object
file: No such file or directory

Comment 1 petr_kristof 1998-11-12 06:48:59 UTC
I resolved it.
There is no dependence defined between the rpm packages for it.
After instaling tix, its running.
You should rebuild some packages with corrected REQUIRENAME in .spec file.

Comment 2 Bill Nottingham 1998-11-13 17:52:59 UTC
The specific requirement is glint needs to require tkinter.
This will be fixed in whatever the next release of glint is.


Note You need to log in before you can comment on or make changes to this bug.